/**************************************************************************
 * Sample code to draw character with "BitFontCreator ver3.0 *.c file"    *
 *                      == created by BitFontCreator Lain 3.x             *
 *                      == http://www.iseasoft.com/                       *
 *                      == support@iseatech.com                           *
 *                                                                        *
 * NOTE: BitFontCreator can generate various format data,                 *
 *       This smaple code is limited to the format blow:                  *
 *       Font Type:     1-bpp                                             *
 *       Data length:   8 bit                                             *
 *       Bit order:     Big Endian, Little Endian                         *
 *       Scan based:    Row, Column                                       *
 *       Scan prefered: Row, Column                                       *
 *       Data Packed:   No                                                *
 **************************************************************************/
#ifndef __DRAW_STRING_BFC_LATIN_H_INCLUDE__
#define __DRAW_STRING_BFC_LATIN_H_INCLUDE__

#include <windef.h>
#include "bfclatin_font.h"

//  font height: in pixels
int GetFontHeight(const BFCLATIN_FONT *pFont);
//  draw ansi string
void DrawString(HDC hdc, int x0, int y0, const BFCLATIN_FONT *pFont, const char *str, int length);

//  bit order: 0 (Big Endian), or 1 (Little Endian)
int GetFontEndian(unsigned long FontType);
//  scan based: 0 (row), or 1 (column)
int GetFontScanBase(unsigned long FontType);
//  scan prfered: 0 (row), or 1 (column)
int GetFontScanPrefer(unsigned long FontType);
//  data packed: 0 (No), or 1 (Yes)
int GetFontDataPack(unsigned long FontType);

int GetCharacterWidth(const BFCLATIN_FONT *pFont, unsigned char ch);
const unsigned char* GetCharacterData(const BFCLATIN_FONT *pFont, unsigned char ch);

void LCD_DrawPixel(HDC hdc, int x, int y, int pixel);
int  DrawChar(HDC hdc, int x0, int y0, const BFCLATIN_FONT *pFont, unsigned char ch);
int  DrawChar_RowRowUnpacked(HDC hdc, int x0, int y0, const BFCLATIN_FONT *pFont, unsigned char ch);
int  DrawChar_ColColUnpacked(HDC hdc, int x0, int y0, const BFCLATIN_FONT *pFont, unsigned char ch);

#endif
